Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface PPDPQ

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PQ, QTY

All Known Subinterfaces:
  IVLPPDPQ, IVXBPPDPQ, SXCMPPDPQ

All Known Implementing Classes:
  IVLPPDPQImpl, IVXBPPDPQImpl, PPDPQImpl, SXCMPPDPQImpl

    public interface PPDPQ

extends PQ

A representation of the model object 'PPDPQ'.

The following features are supported:

- `Standard Deviation`
- `Distribution Type`

See Also:
  `CDAR2Package.getPPDPQ()`

Method Summary
`ProbabilityDistributionType` | `getDistributionType()` Returns the value of the 'Distribution Type' attribute.
`PQ` | `getStandardDeviation()` Returns the value of the 'Standard Deviation' containment reference.
`boolean` | `isSetDistributionType()` Returns whether the value of the '`Distribution Type`' attribute is set.
`void` | `setDistributionType(ProbabilityDistributionType value)` Sets the value of the '`Distribution Type`' attribute.
`void` | `setStandardDeviation(PQ value)` Sets the value of the '`Standard Deviation`' containment reference.
`void` | `unsetDistributionType()` Unsets the value of the '`Distribution Type`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.PQ
`getTranslation, getUnit, getValue, isSetUnit, setUnit, setValue, unsetUnit`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getStandardDeviation

    PQ getStandardDeviation()

  Returns the value of the 'Standard Deviation' containment reference. The primary measure of variance/uncertainty of the value (the square root of the sum of the squares of the differences between all data points and the mean). The standard deviation is used to normalize the data for computing the distribution function. Applications that cannot deal with probability distributions can still get an idea about the confidence level by looking at the standard deviation.

  Returns:
    the value of the 'Standard Deviation' containment reference.
  See Also:
    `setStandardDeviation(PQ)`, `CDAR2Package.getPPDPQ_StandardDeviation()`

### setStandardDeviation

    void setStandardDeviation(PQ value)

  Sets the value of the '`Standard Deviation`' containment reference.

  Parameters:
    `value` - the new value of the 'Standard Deviation' containment reference.
  See Also:
    `getStandardDeviation()`

### getDistributionType

    ProbabilityDistributionType getDistributionType()

  Returns the value of the 'Distribution Type' attribute. The default value is `"B"`. The literals are from the enumeration `ProbabilityDistributionType`. A code specifying the type of probability distribution. Possible values are as shown in the attached table. The NULL value (unknown) for the type code indicates that the probability distribution type is unknown. In that case, the standard deviation has the meaning of an informal guess.

  Returns:
    the value of the 'Distribution Type' attribute.
  See Also:
    `ProbabilityDistributionType`, `isSetDistributionType()`, `unsetDistributionType()`, `setDistributionType(ProbabilityDistributionType)`, `CDAR2Package.getPPDPQ_DistributionType()`

### setDistributionType

    void setDistributionType(ProbabilityDistributionType value)

  Sets the value of the '`Distribution Type`' attribute.

  Parameters:
    `value` - the new value of the 'Distribution Type' attribute.
  See Also:
    `ProbabilityDistributionType`, `isSetDistributionType()`, `unsetDistributionType()`, `getDistributionType()`

### unsetDistributionType

    void unsetDistributionType()

  Unsets the value of the '`Distribution Type`' attribute.

  See Also:
    `isSetDistributionType()`, `getDistributionType()`, `setDistributionType(ProbabilityDistributionType)`

### isSetDistributionType

    boolean isSetDistributionType()

  Returns whether the value of the '`Distribution Type`' attribute is set.

  Returns:
    whether the value of the 'Distribution Type' attribute is set.
  See Also:
    `unsetDistributionType()`, `getDistributionType()`, `setDistributionType(ProbabilityDistributionType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD